Bug 1207061 - virt-manager dep on gnome-icon-theme is wrong and redundant
Summary: virt-manager dep on gnome-icon-theme is wrong and redundant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-30 07:32 UTC by Kalev Lember
Modified: 2015-04-21 18:56 UTC (History)
5 users (show)

Fixed In Version: virt-manager-1.1.0-7.git6dbe19bd8.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:56:51 UTC


Attachments (Terms of Use)

Description Kalev Lember 2015-03-30 07:32:27 UTC
I've noticed that virt-manager now depends on gnome-icon-theme. gnome-icon-theme is discontinued upstream and renamed to adwaita-icon-theme.

Would be great if you could update the dependency to pull in adwaita-icon-theme instead. Thanks!

Alternatively, you could also leave the icon theme dependency entirely out, since gtk3 already pulls in adwaita-icon-theme.

Comment 1 Cole Robinson 2015-03-30 16:15:27 UTC
Hey Kalev, thanks to the report. The explicit gnome-icon-theme dep was added to fix the RHEL7 bug 1146612  (we share the spec file across all RH versions)

Do you know when gtk3 added an explicit dep on an icon theme? Then I can conditionalize the fix in the spec file

Comment 2 Kalev Lember 2015-03-30 16:41:20 UTC
gtk3 has an explicit icon theme dep in F21 and newer.

Comment 3 Cole Robinson 2015-03-30 16:48:51 UTC
Thanks, fixed upstream:

commit ba527471fce5e9f6fc0d400927ef0d60d78faa60
Author: Cole Robinson <crobinso@redhat.com>
Date:   Mon Mar 30 12:47:39 2015 -0400

    spec: Only pull in gnome-icon-theme on RHEL7 (bz 1207061)

Comment 4 Kalev Lember 2015-03-30 16:50:46 UTC
Thanks for the quick fix!

Comment 5 Fedora Update System 2015-04-13 22:44:32 UTC
virt-manager-1.1.0-7.git6dbe19bd8.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/virt-manager-1.1.0-7.git6dbe19bd8.fc22

Comment 6 lnie 2015-04-14 05:30:27 UTC
virt-manager-1.1.0-7.git6dbe19bd8.fc22 works

Comment 7 Fedora Update System 2015-04-21 18:56:51 UTC
virt-manager-1.1.0-7.git6dbe19bd8.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.